OpenVDB: NodeManagerLink< NodeT, LEVEL > Class Template Reference

OpenVDB 5.1.0

Public Member Functions | Protected Attributes | List of all members
NodeManagerLink< NodeT, LEVEL > Class Template Reference

This class is a link in a chain that each caches tree nodes of a specific type in a linear array. More...

`#include <NodeManager.h>`

## Public Member Functions
| NodeManagerLink ()
virtual | ~NodeManagerLink ()
void | clear ()
template<typename ParentT , typename TreeOrLeafManagerT >
void | init (ParentT &parent, TreeOrLeafManagerT &tree)
template<typename ParentT >
void | rebuild (ParentT &parent)
Index64 | nodeCount () const
Index64 | nodeCount (Index i) const
template<typename NodeOp >
void | foreachBottomUp (const NodeOp &op, bool threaded, size_t grainSize)
template<typename NodeOp >
void | foreachTopDown (const NodeOp &op, bool threaded, size_t grainSize)
template<typename NodeOp >
void | reduceBottomUp (NodeOp &op, bool threaded, size_t grainSize)
template<typename NodeOp >
void | reduceTopDown (NodeOp &op, bool threaded, size_t grainSize)

## Protected Attributes
NodeList< NodeT > | mList
NodeManagerLink< typename NodeT::ChildNodeType, LEVEL-1 > | mNext

## Detailed Description

### template<typename NodeT, Index LEVEL>
class openvdb::v5_1::tree::NodeManagerLink< NodeT, LEVEL >

This class is a link in a chain that each caches tree nodes of a specific type in a linear array.

Note
  It is for internal use and should rarely be used directly.

## Constructor & Destructor Documentation

## ◆ NodeManagerLink()

NodeManagerLink | ( |  | ) |
| inline

## ◆ ~NodeManagerLink()

virtual ~NodeManagerLink | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |
| inline

## ◆ foreachBottomUp()

void foreachBottomUp | ( | const NodeOp & | op,
|  | bool | threaded,
|  | size_t | grainSize
| ) |  |
| inline

## ◆ foreachTopDown()

void foreachTopDown | ( | const NodeOp & | op,
|  | bool | threaded,
|  | size_t | grainSize
| ) |  |
| inline

## ◆ init()

void init | ( | ParentT & | parent,
|  | TreeOrLeafManagerT & | tree
| ) |  |
| inline

## ◆ nodeCount() [1/2]

Index64 nodeCount | ( |  | ) | const
| inline

## ◆ nodeCount() [2/2]

Index64 nodeCount | ( | Index | i | ) | const
| inline

## ◆ rebuild()

void rebuild | ( | ParentT & | parent | ) |
| inline

## ◆ reduceBottomUp()

void reduceBottomUp | ( | NodeOp & | op,
|  | bool | threaded,
|  | size_t | grainSize
| ) |  |
| inline

## ◆ reduceTopDown()

void reduceTopDown | ( | NodeOp & | op,
|  | bool | threaded,
|  | size_t | grainSize
| ) |  |
| inline

## Member Data Documentation

## ◆ mList

NodeList<NodeT> mList
| protected

## ◆ mNext

NodeManagerLink<typename NodeT::ChildNodeType, LEVEL-1> mNext
| protected

The documentation for this class was generated from the following file:

- NodeManager.h